# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ("portailuser", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Annonce",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                (
                    "adresse_depart",
                    models.TextField(verbose_name="Adresse de d\xe9part"),
                ),
                (
                    "adresse_destination",
                    models.TextField(verbose_name="Adresse de destination"),
                ),
                (
                    "places",
                    models.PositiveSmallIntegerField(
                        default=1, verbose_name="Nombre de places"
                    ),
                ),
                (
                    "participation",
                    models.DecimalField(
                        null=True,
                        verbose_name="Participation (en \u20ac, optionnel)",
                        max_digits=10,
                        decimal_places=2,
                        blank=True,
                    ),
                ),
                ("date_depart", models.DateTimeField(verbose_name="Date de d\xe9part")),
                ("commentaire", models.TextField(null=True, blank=True)),
                (
                    "date_publication",
                    models.DateTimeField(
                        auto_now_add=True, verbose_name="Date de publication"
                    ),
                ),
                (
                    "ecole",
                    models.ForeignKey(to="portailuser.Ecole", on_delete=models.CASCADE),
                ),
                (
                    "user",
                    models.ForeignKey(
                        to="portailuser.PortailUser", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
    ]
